> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create invites for employees and contractors

> Create invites/warm invites for employees and contractors. This is used to invite users to team.



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/invites
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/invites:
    post:
      tags:
        - B2B Invites
      summary: Create invites for employees and contractors
      description: >-
        Create invites/warm invites for employees and contractors. This is used
        to invite users to team.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                nanoid:
                  type: string
                  minLength: 15
                  maxLength: 15
                  pattern: ^te-.*
                  description: >-
                    Identifier of a Rise team (a workspace below a company).
                    15-character nanoid prefixed with `te-`.
                invites:
                  type: array
                  items:
                    type: object
                    properties:
                      email:
                        type: string
                        format: email
                        pattern: >-
                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                      prefill:
                        type: object
                        properties:
                          first_name:
                            type: string
                          middle_name:
                            default: ''
                            type: string
                          last_name:
                            type: string
                          phone:
                            type: string
                          company_name:
                            type: string
                          job_title:
                            type: string
                          company_size:
                            type: string
                          company_website:
                            type: string
                          company_industry:
                            type: string
                          company_address:
                            type: string
                          company_city:
                            type: string
                          company_state:
                            type: string
                          company_zip:
                            type: string
                          company_country:
                            type: string
                        required:
                          - first_name
                          - last_name
                          - phone
                          - company_name
                          - job_title
                          - company_size
                          - company_website
                          - company_industry
                          - company_address
                          - company_city
                          - company_state
                          - company_zip
                          - company_country
                    required:
                      - email
                role:
                  type: string
                  enum:
                    - contractor
                    - team_employee
                    - aor_contractor
                anonymous:
                  type: boolean
              required:
                - nanoid
                - invites
                - role
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      nanoids:
                        type: array
                        items:
                          type: string
                    required:
                      - nanoids
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````